Subject: Re: bug#32300: [PATCH] database: Fix the builds limit issue.

From: Clément Lassieur <[email-masked]>
Date: Sat, 04 Aug 2018 18:10:51 +0200

Clément Lassieur <[email-masked]> writes:

> Fixes <https://bugs.gnu.org/32300>.
>
> * src/cuirass/database.scm (filters->order): New procedure.
> (db-get-builds): Remove FORMAT-OUTPUT, CONS-OUTPUT, COLLECT-OUTPUTS,
> FINISH-GROUP, SAME-GROUP?, GROUP-OUTPUTS procedures.  Remove the 'LEFT JOIN
> Outputs' clause.  Use DB-GET-OUTPUTS for each build that was fetched.

This may be less efficient because there are more SQL queries (one per
output), but it's way less complicated and less buggy, so I think it's
worth it.